import java.util.GregorianCalendar;
import java.util.Calendar;
import java.util.TimeZone;


/**
 * Test case for DST in Perth timezone.
 */

public class WATimeZone {

	public static void test(GregorianCalendar cal, boolean shouldBeInDST)  {

	System.out.println("Tested Date is " + cal.getTime());
	if(perthTZ.inDaylightTime(cal.getTime()) != shouldBeInDST) {
		System.out.println(" Fail : the given calendar time and expected DST rules did not match");
		AllPass = false;
		}
	else {
		System.out.println(" Pass : calendar date and expected DST rules matched up"); 

	}	
	System.out.println("========================================================");

}
  
public static void main(String[] args) {
	GregorianCalendar cal = new GregorianCalendar(perthTZ);
	cal.set(2006, Calendar.DECEMBER, 3 , 1 , 0, 10);
	test(cal, false);
	cal.set(2006, Calendar.DECEMBER, 3, 2, 0, 10);
	test(cal, true);
	cal.set(2007, Calendar.MARCH, 25, 1, 0, 10);
        test(cal, true);
	cal.set(2007, Calendar.MARCH, 25 , 2, 0, 10);
        test(cal, false);
	
	if (AllPass)
		System.out.println("PASS: This JDK/JRE has newly updated Western Australia Rules.");
	else
		System.out.println("FAIL: This JDK/JRE does not have newly updated Western Australia Rules.");
	
 }

private static TimeZone perthTZ = TimeZone.getTimeZone("Australia/Perth");
private static boolean AllPass = true;
}
